Create Prompt Template
curl --request POST \
--url https://app.maadify.com/api/prompt_templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"version": "<string>",
"content": "<string>",
"is_active": true,
"metadata": {
"tags": [
"<string>"
],
"description": ""
}
}
'import requests
url = "https://app.maadify.com/api/prompt_templates"
payload = {
"name": "<string>",
"version": "<string>",
"content": "<string>",
"is_active": True,
"metadata": {
"tags": ["<string>"],
"description": ""
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
version: '<string>',
content: '<string>',
is_active: true,
metadata: {tags: ['<string>'], description: ''}
})
};
fetch('https://app.maadify.com/api/prompt_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"items": [
{
"id": "<string>",
"tenant_id": "<string>",
"name": "<string>",
"version": "<string>",
"is_active": true,
"content": "<string>",
"metadata": {},
"latest_version": true,
"created_at": "<string>",
"updated_at": "<string>"
}
]
},
"error_type": "<string>",
"error_message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Prompt templates
Create Prompt Template
Create a prompt template for agents or tools.
POST
/
api
/
prompt_templates
Create Prompt Template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Prompt template name.
Minimum string length:
1Prompt template version.
Minimum string length:
1Prompt template content.
Minimum string length:
1Whether this prompt template version is active.
Prompt template metadata. Only include tags and description.
Show child attributes
Show child attributes
Response
Successful Response
⌘I
